{{- if not .Values.storage.existingDataStorage -}}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ include "filesender.storageName" . }}
  labels:
    {{- include "filesender.labels" . | nindent 4 }}
spec:
  storageClassName: {{ .Values.storage.className }}
  accessModes:
    - ReadWriteMany
  volumeName:  {{ include "filesender.storageName" . }}
  resources:
    requests:
      storage: {{ .Values.storage.storageSize }}
{{- end -}}
